<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');
$method = $_SERVER['REQUEST_METHOD'];

if ($method === 'OPTIONS') {
    header('Access-Control-Allow-Methods: GET, POST, PUT, DELETE');
    header('Access-Control-Allow-Headers: Origin, Accept, Content-Type, X-Requested-With');
    exit();
}
header("Access-Control-Allow-Methods: POST");

include_once '../../config/Database.php';
include_once '../../models/Author.php';

$database = new Database();
$db = $database->connect();

$author = new Author($db);

$data = json_decode(file_get_contents("php://input"));

if (!empty($data->author)) {
    $author->author = $data->author;

    $createdAuthorId = $author->create();
    if ($createdAuthorId) {
        http_response_code(201);
        echo json_encode(array("id" => $createdAuthorId, "author" => $data->author));
    } else {
        http_response_code(503);
        echo json_encode(array("message" => "Unable to create author."));
    }
} else {
    http_response_code(400);
    echo json_encode(array("message" => "Unable to create author. Data is incomplete."));
}
